Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - r -

- read() : kyototycoon::ReplicationClient , kyototycoon::UpdateLogger::Reader
- Reader() : kyototycoon::UpdateLogger::Reader
- receive() : kyototycoon::Socket
- receive_byte() : kyototycoon::Socket
- receive_line() : kyototycoon::Socket
- recover() : kyototycoon::TimedDB
- RECVMAXSIZ : kyototycoon::HTTPClient
- reduce() : kyototycoon::MapReduce
- ReduceTask() : kyototycoon::MapReduce::ReduceTaskQueue::ReduceTask
- RemoteDB() : kyototycoon::RemoteDB
- remove() : kyototycoon::TimedDB
- REMOVE : kyototycoon::TimedDB::Visitor
- remove() : kyototycoon::RemoteDB::Cursor , kyototycoon::RemoteDB , kyototycoon::TimedDB::Cursor
- remove_bulk() : kyototycoon::RemoteDB , kyototycoon::TimedDB
- remove_bulk_binary() : kyototycoon::RemoteDB
- replace() : kyototycoon::RemoteDB , kyototycoon::TimedDB
- ReplicationClient() : kyototycoon::ReplicationClient
- report() : kyototycoon::RemoteDB
- ReturnValue : kyototycoon::RPCClient
- reveal_core() : kyototycoon::RPCClient , kyototycoon::RPCServer , kyototycoon::HTTPServer , kyototycoon::HTTPClient
- reveal_inner_db() : kyototycoon::TimedDB
- RPCClient() : kyototycoon::RPCClient
- RPCServer() : kyototycoon::RPCServer
- RVEINTERNAL : kyototycoon::RPCClient
- RVEINVALID : kyototycoon::RPCClient
- RVELOGIC : kyototycoon::RPCClient
- RVEMISC : kyototycoon::RPCClient
- RVENETWORK : kyototycoon::RPCClient
- RVENOIMPL : kyototycoon::RPCClient
- RVETIMEOUT : kyototycoon::RPCClient
- RVSUCCESS : kyototycoon::RPCClient